#
# <20180407.1741.30>
#
# This module defines known errors for the bgerror routine in
# fr. It queries this each time an error presents.
#
namespace eval knownErrors {
  # This (1st) error fixed in newer tk, not in the freewrap version yet.
  variable ignoreThese\
      [list\
	   {Duplicate element ComboboxPopdownFrame.border} \
	   {can't read "ftp(Dir)": no such element in array}\
           {NoReport}
	  ]
}

proc IsKnownError {err} {
    
  foreach ignor $::knownErrors::ignoreThese {
    if {[string match *${ignor}* $err]} {
      LogSilent "Ignoring Error: $::errorInfo"
      return -code return
    }
  }
  return 0
}
